cURL
curl -H "Authorization: Bearer <access_token>" \
"https://api.fitsociety.io/public/v1/clients?limit=50&search=jane"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 100,
"total": 2,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false,
"data": [
{
"clientId": "66f7b8b1e13c8d25f4d3d90c",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@example.com",
"emailIsPlaceholder": false,
"relationship": {
"status": "active",
"memberStatus": "active",
"portalAccessStatus": "enabled",
"assignedCoach": {
"name": "John Doe"
}
}
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Client records
List clients for the authenticated company
Lists clients for the company authenticated by the Public API Bearer token. The token must include clients:read.
GET
/
public
/
v1
/
clients
cURL
curl -H "Authorization: Bearer <access_token>" \
"https://api.fitsociety.io/public/v1/clients?limit=50&search=jane"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 100,
"total": 2,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false,
"data": [
{
"clientId": "66f7b8b1e13c8d25f4d3d90c",
"firstName": "Jane",
"lastName": "Doe",
"email": "jane@example.com",
"emailIsPlaceholder": false,
"relationship": {
"status": "active",
"memberStatus": "active",
"portalAccessStatus": "enabled",
"assignedCoach": {
"name": "John Doe"
}
}
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Query Parameters
Exact case-insensitive email match. Excludes placeholder email addresses.
Maximum string length:
254Example:
1
Required range:
x <= 500Example:
100
Example:
"jane"
Available options:
invited, pending_approval, trial, active, paused, inactive, archived, pending_removal